DBGate System Requirements

DBGate System Requirements

Supported operating systems:

  • Windows 7 SP1 and later
  • Windows 8.1
  • Windows 10 Version 1607 and later
  • Windows Server 2008 R2 SP1 (Full Server or Server Core)
  • Windows Server 2012 SP1 (Full Server or Server Core)
  • Windows Server 2012 R2 (Full Server or Server Core)
  • Windows Server 2016 (Full Server, Server Core, or Nano Server)
  • Mac OS X 10.11, 10.12
  • Red Hat Enterprise Linux 7
  • Ubuntu 14.04, 16.04, 17

Supported web browsers:

  • Google Chrome
  • Firefox
  • Safari
  • Opera
  • Edge
  • Microsoft Internet Explorer 11

Supported versions of Microsoft SQL Server:

  • Microsoft SQL Server 2005, 2008, 2008 R2, 2012, 2014, 2016, 2017, 2019
  • Azure SQL Database

Supported versions of Oracle Database:

  • Oracle Database 10g R1/R2, 11g R1/R2, 12c R1, 18c

Supported versions of IBM DB2:

  • IBM DB2 9.5-9.8, 10.1, 10.5, 11.1

Supported versions of MySQL:

  • MySQL 5.5-5.7, 8.0

Supported versions of SkySQL MariaDB:

  • MariaDB 5.5, 10.0-10.4

Supported versions of PostgreSQL:

  • PostgreSQL 8.0-8.4, 9.0-9.6, 10, 11

Supported versions of NuoDB:

  • NuoDB 2.0-2.6, 3.0

Supported versions of SQLite:

  • SQLite 3